<?php
//about theme info
add_action( 'admin_menu', 'home_construction_gettingstarted' );
function home_construction_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'home-construction'), esc_html__('About Theme', 'home-construction'), 'edit_theme_options', 'home_construction_guide', 'home_construction_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function home_construction_admin_theme_style() {
   wp_enqueue_style('custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getting-started/getting-started.css');
}
add_action('admin_enqueue_scripts', 'home_construction_admin_theme_style');

//guidline for about theme
function home_construction_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'home-construction' );

?>

<div class="wrapper-info">
	<div class="col-left">
		<div class="intro">
			<h3><?php esc_html_e( 'Welcome to Home Construction WordPress Theme', 'home-construction' ); ?> <span>Version: <?php echo esc_html($theme['Version']);?></span></h3>
		</div>
		<div class="started">
			<hr>
			<div class="free-doc">
				<div class="lz-4">
					<h4><?php esc_html_e( 'Start Customizing', 'home-construction' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Go to', 'home-construction' ); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizer', 'home-construction' ); ?> </a> <?php esc_html_e( 'and start customizing your website', 'home-construction' ); ?></span>
					</ul>
				</div>
				<div class="lz-4">
					<h4><?php esc_html_e( 'Support', 'home-construction' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Send your query to our', 'home-construction' ); ?> <a href="<?php echo esc_url( HOME_CONSTRUCTION_SUPPORT ); ?>" target="_blank"> <?php esc_html_e( 'Support', 'home-construction' ); ?></a></span>
					</ul>
				</div>
			</div>
			<p><?php esc_html_e( 'Home Construction is a high-quality Theme built for creating landing pages for construction businesses, real estate solutions, property dealer websites, or estate broker websites. Construction companies and builders will also find the default design conducive for their work. When it comes to professional appeal, this theme literally grabs the attention with its elegant and minimal design that is packed with a responsive layout. To make your website more interactive, there are Call To Action Buttons (CTA) included as a part of the design. More focus is given to make the theme user-friendly so that people with varying skill levels can use the theme without worrying about the coding part. A sophisticated website is always admired and considering this fact, the developers have designed it to give utmost attention to the details. As code optimization results in faster page load times and lightweight design, this is great in keeping the interest of your audience alive. Social media integration paves the way for easy promotion on different social media platforms. The Bootstrap framework makes it easily editable and flexible offering easy customization options. There are modern tools and functionality along with SEO-friendly, secure and clean codes helping you feature in top ranks and make you more noticeable.', 'home-construction')?></p>
			<hr>			
			<div class="col-left-inner">
				<h3><?php esc_html_e( 'Get started with Free Home Construction Theme', 'home-construction' ); ?></h3>
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/customizer-image.png" alt="" />
			</div>
		</div>
	</div>
	<div class="col-right">
		<div class="col-left-area">
			<h3><?php esc_html_e('Premium Theme Information', 'home-construction'); ?></h3>
			<hr>
		</div>
		<div class="centerbold">
			<a href="<?php echo esc_url( HOME_CONSTRUCTION_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'home-construction'); ?></a>
			<a href="<?php echo esc_url( HOME_CONSTRUCTION_BUY_NOW ); ?>"><?php esc_html_e('Buy Pro', 'home-construction'); ?></a>
			<a href="<?php echo esc_url( HOME_CONSTRUCTION_PRO_DOCS ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'home-construction'); ?></a>
			<hr class="secondhr">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/home-construction.jpg" alt="" />
		</div>
		<h3><?php esc_html_e( 'PREMIUM THEME FEATURES', 'home-construction'); ?></h3>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon01.png" alt="" />
			<h4><?php esc_html_e( 'Banner Slider', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon02.png" alt="" />
			<h4><?php esc_html_e( 'Theme Options', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon03.png" alt="" />
			<h4><?php esc_html_e( 'Custom Innerpage Banner', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon04.png" alt="" />
			<h4><?php esc_html_e( 'Custom Colors and Images', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon05.png" alt="" />
			<h4><?php esc_html_e( 'Fully Responsive', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon06.png" alt="" />
			<h4><?php esc_html_e( 'Hide/Show Sections', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon07.png" alt="" />
			<h4><?php esc_html_e( 'Woocommerce Support', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon08.png" alt="" />
			<h4><?php esc_html_e( 'Limit to display number of Posts', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon09.png" alt="" />
			<h4><?php esc_html_e( 'Multiple Page Templates', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon10.png" alt="" />
			<h4><?php esc_html_e( 'Custom Read More link', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon11.png" alt="" />
			<h4><?php esc_html_e( 'Code written with WordPress standard', 'home-construction'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon12.png" alt="" />
			<h4><?php esc_html_e( '100% Multi language', 'home-construction'); ?></h4>
		</div>
	</div>
</div>
<?php } ?>