<?php 

	$home_construction_custom_style = '';

	// Logo Size
	$home_construction_logo_top_padding = get_theme_mod('home_construction_logo_top_padding');
	$home_construction_logo_bottom_padding = get_theme_mod('home_construction_logo_bottom_padding');
	$home_construction_logo_left_padding = get_theme_mod('home_construction_logo_left_padding');
	$home_construction_logo_right_padding = get_theme_mod('home_construction_logo_right_padding');

	if( $home_construction_logo_top_padding != '' || $home_construction_logo_bottom_padding != '' || $home_construction_logo_left_padding != '' || $home_construction_logo_right_padding != ''){
		$home_construction_custom_style .=' .logo {';
			$home_construction_custom_style .=' padding-top: '.esc_attr($home_construction_logo_top_padding).'px;
			padding-bottom: '.esc_attr($home_construction_logo_bottom_padding).'px;
			padding-left: '.esc_attr($home_construction_logo_left_padding).'px;
			padding-right: '.esc_attr($home_construction_logo_right_padding).'px;';
		$home_construction_custom_style .=' }';
	}

	// Social icons css
	$home_construction_social_icons_color = get_theme_mod('home_construction_social_icons_color');

	if ( $home_construction_social_icons_color != '') {
		$home_construction_custom_style .=' .social-icons i {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_social_icons_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_social_icons_hover_color = get_theme_mod('home_construction_social_icons_hover_color');

	if ( $home_construction_social_icons_hover_color != '') {
		$home_construction_custom_style .=' .social-icons i:hover {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_social_icons_hover_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_social_icon_font_size = get_theme_mod('home_construction_social_icon_font_size');

	if ( $home_construction_social_icon_font_size != '') {
		$home_construction_custom_style .=' .social-icons i {';
			$home_construction_custom_style .=' font-size: '.esc_attr($home_construction_social_icon_font_size).'px;';
		$home_construction_custom_style .=' }';
	}

	// Slider css
	$home_construction_slider_heading_color = get_theme_mod('home_construction_slider_heading_color');

	if ( $home_construction_slider_heading_color != '') {
		$home_construction_custom_style .=' #slider h2 a {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_slider_heading_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_slider_buttonbg_color = get_theme_mod('home_construction_slider_buttonbg_color');

	if ( $home_construction_slider_buttonbg_color != '') {
		$home_construction_custom_style .=' #slider a.read-btn {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_slider_buttonbg_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_slider_buttonbg_hover_color = get_theme_mod('home_construction_slider_buttonbg_hover_color');

	if ( $home_construction_slider_buttonbg_hover_color != '') {
		$home_construction_custom_style .=' #slider a.read-btn:before, #slider a.read-btn:after {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_slider_buttonbg_hover_color).';';
		$home_construction_custom_style .=' }';
	}

	// Service css
	$home_construction_service_small_title_color = get_theme_mod('home_construction_service_small_title_color');

	if ( $home_construction_service_small_title_color != '') {
		$home_construction_custom_style .=' #service-section h3 {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_service_small_title_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_section_title_color = get_theme_mod('home_construction_section_title_color');

	if ( $home_construction_section_title_color != '') {
		$home_construction_custom_style .=' #service-section h4 {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_section_title_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_service_title_color = get_theme_mod('home_construction_service_title_color');

	if ( $home_construction_service_title_color != '') {
		$home_construction_custom_style .=' #service-section h5 {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_service_title_color).';';
		$home_construction_custom_style .=' }';
	}

	// Back to top css
	$home_construction_back_totop_bg_color = get_theme_mod('home_construction_back_totop_bg_color');

	if ( $home_construction_back_totop_bg_color != '') {
		$home_construction_custom_style .=' .back-to-top {';
			$home_construction_custom_style .=' background:'.esc_attr($home_construction_back_totop_bg_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_back_totop_bg_hover_color = get_theme_mod('home_construction_back_totop_bg_hover_color');

	if ( $home_construction_back_totop_bg_hover_color != '') {
		$home_construction_custom_style .=' .back-to-top:hover::after {';
			$home_construction_custom_style .=' background:'.esc_attr($home_construction_back_totop_bg_hover_color).';';
		$home_construction_custom_style .=' }';
	}

	// Global Color
	$home_construction_first_global_color = get_theme_mod('home_construction_first_global_color');
	$home_construction_second_global_color = get_theme_mod('home_construction_second_global_color');

	if ( $home_construction_first_global_color != '') {
		$home_construction_custom_style .=' .logo, #slider a.read-btn:before, .article_content .read-btn a:before, #slider a.read-btn:after, .article_content .read-btn a:after, .back-to-top, #slider .inner-carousel {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_first_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_first_global_color != '') {
		$home_construction_custom_style .=' .menu-section {';
			$home_construction_custom_style .=' border-left-color:'.esc_attr($home_construction_first_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_first_global_color != '' || $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' .service-icon i {';
			$home_construction_custom_style .=' background: linear-gradient(to bottom, '.esc_attr($home_construction_first_global_color).' 31%, '.esc_attr($home_construction_second_global_color).' 65%);';
		$home_construction_custom_style .=' }';
	}

	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' .nav-menu ul ul a, .metabox, #slider .carousel-control-prev-icon i, #slider .carousel-control-next-icon i, #slider .carousel-control-prev-icon i:hover, #slider .carousel-control-next-icon i:hover, #slider a.read-btn, .article_content .read-btn a, .back-to-top:hover::after, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li, .comment-body .comment-reply-link, #sidebar button.search-submit, button.search-submit, #service-section h3:before, #service-section h3:after, button, input[type="button"], input[type="submit"] {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' nav.woocommerce-MyAccount-navigation ul li {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_second_global_color).' !important;';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' a, a:hover, a:active, .nav-menu ul li a:hover, .nav-menu ul ul a:hover, .single-post-tags, .single-post-tags a, .article_content h3, #service-section h3, a.showcoupon, .woocommerce-message::before, #sidebar h2.widget-title {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' #header, .nav-menu ul ul, .woocommerce .products li:hover, #sidebar h2.widget-title:after {';
			$home_construction_custom_style .=' border-color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' .woocommerce-message {';
			$home_construction_custom_style .=' border-top-color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' 
		@media screen and (max-width: 1000px){
			.toggle-menu i, .sidenav{';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' } }';
	}

	// Copyright bg css
	$home_construction_copyright_bg_color = get_theme_mod('home_construction_copyright_bg_color');

	if ( $home_construction_copyright_bg_color != '') {
		$home_construction_custom_style .=' .copyright {';
			$home_construction_custom_style .=' background:'.esc_attr($home_construction_copyright_bg_color).';';
		$home_construction_custom_style .=' }';
	}

	// Site Title Font Size
	$home_construction_site_title_font_size = get_theme_mod('home_construction_site_title_font_size');
	if( $home_construction_site_title_font_size != ''){
		$home_construction_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$home_construction_custom_style .=' font-size: '.esc_attr($home_construction_site_title_font_size).'px;';
		$home_construction_custom_style .=' }';
	}

	// Site Tagline Font Size
	$home_construction_site_tagline_font_size = get_theme_mod('home_construction_site_tagline_font_size');
	if( $home_construction_site_tagline_font_size != ''){
		$home_construction_custom_style .=' .logo p.site-description {';
			$home_construction_custom_style .=' font-size: '.esc_attr($home_construction_site_tagline_font_size).'px;';
		$home_construction_custom_style .=' }';
	}

	// Copyright padding
	$home_construction_copyright_padding = get_theme_mod('home_construction_copyright_padding');

	if( $home_construction_copyright_padding != ''){
		$home_construction_custom_style .=' .site-info {';
			$home_construction_custom_style .=' padding-top: '.esc_attr($home_construction_copyright_padding).'px; padding-bottom: '.esc_attr($home_construction_copyright_padding).'px;';
		$home_construction_custom_style .=' }';
	}